For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList knowledge bases
      • GETGet a knowledge base
      • POSTCreate a knowledge base
      • PUTUpdate a knowledge base
      • DELDelete a knowledge base
      • POSTAttach a knowledge base
      • POSTDetach a knowledge base
      • GETList knowledge base sources
      • POSTAdd a knowledge base source
      • PUTUpdate a knowledge base source
      • DELDelete a knowledge base source
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIKnowledge Bases

Update a knowledge base source

||View as Markdown|
PUT
/knowledge_base/:knowledge_base_id/sources/:source_id
PUT
/v2/knowledge_base/:knowledge_base_id/sources/:source_id
$curl -X PUT https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460/sources/1739253053024x397207388602947463 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Updated Help Center Link",
> "url": "https://example.com/help-center"
>}'
1{
2 "status": "ok",
3 "response": {
4 "source_id": "1739253053024x397207388602947463"
5 }
6}
Update an existing knowledge base source by source ID. The updatable fields depend on the existing source type: - `link` / `file`: `url` - `text`: `content` You can always update `name`.
Was this page helpful?
Previous

Delete a knowledge base source

Next
Built with

Update an existing knowledge base source by source ID. The updatable fields depend on the existing source type:

  • link / file: url
  • text: content

You can always update name.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

knowledge_base_idstringRequired
Knowledge base ID.
source_idstringRequired
Source ID.

Request

This endpoint expects an object.
UpdateLinkSourcePayloadobjectRequired
OR
UpdateFileSourcePayloadobjectRequired
OR
UpdateTextSourcePayloadobjectRequired

Response

200
statusstring
responseobject

Errors

400
Bad Request Error